Page MenuHomePhabricator

Historical link metrics: create tool that records historical link metrics on a regular basis
Closed, ResolvedPublic

Description

From Sam Walton: The first is historical data. It would be incredibly helpful to be able to search for the number of external links at some date in the past. Presently, as I mentioned, we just record the value every couple of weeks. I guess that a good way to do this would be to run the tool through some Wikipedia dumps for old data over the past year or two and then set it up to run and record values automatically every week or two for certain URLs. (There's probably a better way to do this!) The ability to display these values in a simple graph would also be very useful.

Event Timeline

Sadads created this task.Jun 10 2015, 9:25 PM
Sadads assigned this task to Husky.
Sadads raised the priority of this task from to Medium.
Sadads updated the task description. (Show Details)
Sadads added a project: The-Wikipedia-Library.
Sadads updated the task description. (Show Details)
Sadads set Security to None.
Sadads added subscribers: Husky, Samwalton9, Sadads, Aklapper.

In part, this wouldn't have to be from dumps: it could run like the current queries using Hay's tool, just updating a repository/record of these on a regular basis.

In my mind, I am imagining something like https://tools.wmflabs.org/glamtools/baglama2/index.html#

The dumps part was so that when we start using it we have some data from before, not just data from when we start. I agree that after that it could just run and record on a regular basis.

Sadads removed Husky as the assignee of this task.Aug 19 2015, 3:27 PM

@Sadads Can you close this? I'm going to re-open some new tasks (for the GSoC student) which overlap with this one.

Sadads closed this task as Resolved.Mar 28 2016, 1:36 PM
Sadads claimed this task.